package com.zcloud.basic.info.api;

import com.alibaba.cola.dto.MultiResponse;
import com.zcloud.basic.info.dto.UserQualificationInfoAddCmd;
import com.zcloud.basic.info.dto.UserQualificationInfoPageQry;
import com.zcloud.basic.info.dto.UserQualificationInfoUpdateCmd;
import com.zcloud.basic.info.dto.clientobject.UserQualificationInfoCO;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

/**
* web-client
* @Author SondonYong
* @Date 2025-10-31 09:50:43
*/
public interface UserQualificationInfoServiceI {
    PageResponse<UserQualificationInfoCO> listPage(UserQualificationInfoPageQry qry);

    MultiResponse<UserQualificationInfoCO> list(UserQualificationInfoPageQry qry);

    SingleResponse<UserQualificationInfoCO> getInfoById(Long id);

    SingleResponse<UserQualificationInfoCO> add(UserQualificationInfoAddCmd cmd);

    void edit(UserQualificationInfoUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}

